Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::MemoryManager Class Reference

See the The memory manager information page. More...

`#include <OgreMemoryManager.h>`

List of all members.

## Public Methods

| MemoryManager ()
| ~MemoryManager ()
void * | allocMem (const char *szFile, size_t uLine, size_t count) throw ( )
| Memory allocator - uses plain old malloc.
void * | rllocMem (const char *szFile, size_t uLine, void *ptr, size_t count) throw ( )
| Memory re-allocator - uses plain old realloc.
void * | cllocMem (const char *szFile, size_t uLine, size_t num, size_t size) throw ( )
| Memory allocator - uses plain old calloc.
void | dllocMem (const char *szFile, size_t uLine, void *ptr) throw ( )
| Memory de-allocator - uses plain old free.

## Static Public Attributes

MemoryManager | sMemManager

## Detailed Description

See the The memory manager information page.

Definition at line 378 of file OgreMemoryManager.h.

## Constructor & Destructor Documentation

Ogre::MemoryManager::MemoryManager | ( |  | ) |

| Definition at line 1650 of file OgreMemoryManager.cpp.

Ogre::MemoryManager::~MemoryManager | ( |  | ) |

| Definition at line 1655 of file OgreMemoryManager.cpp.

## Member Function Documentation

void * Ogre::MemoryManager::allocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | size_t | count
| ) | throw ( )

| Memory allocator - uses plain old malloc. Definition at line 1660 of file OgreMemoryManager.cpp. References malloc.

void * Ogre::MemoryManager::cllocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | size_t | num,
|  | size_t | size
| ) | throw ( )

| Memory allocator - uses plain old calloc. Definition at line 1676 of file OgreMemoryManager.cpp. References malloc.

void Ogre::MemoryManager::dllocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | void * | ptr
| ) | throw ( )

| Memory de-allocator - uses plain old free. Definition at line 1689 of file OgreMemoryManager.cpp. References free.

void * Ogre::MemoryManager::rllocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | void * | ptr,
|  | size_t | count
| ) | throw ( )

| Memory re-allocator - uses plain old realloc. Definition at line 1668 of file OgreMemoryManager.cpp. References realloc.

## Member Data Documentation

MemoryManager Ogre::MemoryManager::sMemManager`[static]`

| Definition at line 51 of file OgreMemoryManager.cpp. Referenced by operator delete(), operator delete[](), operator new(), and operator new[]().

The documentation for this class was generated from the following files:

- OgreMemoryManager.h
- OgreMemoryManager.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:12 2004